from django.urls import path

from.import views

app_name='movie'


urlpattterns=[
    path('',views.IndexView.as_view(),name='index'),
    path('hot',views.PopularMovieView.as_view(),name='hot'),
    path('login',views.LoginView.as_view(),name='login'),
    path('logout',views.UserLogout.as_view(),name='logout'),
    path('register',views.RegisterView.as_view(),name='register'),
    path('tag',views.TagView.as_view(),name='tag'),
    path('search',views.SearchView.as_view(),name='search'),
    path('detail/<int:pk>',views.MovieDetailView.as_view(),name='detail'),
    path('history/<int:pk>',views.RatingHistoryView.as_view(),name='history'),
    path('del_rec/<int:pk>',views.delete_recode,name='delete_recode'),
]